Skip to main content

Experience Views Actions

https://api.app.wnology.io/applications/APPLICATION_ID/experience/views

Below are the various requests that can be performed against the Experience Views resource, as well as the expected parameters and the potential responses.

Get​

Returns the experience views for an application

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/experience/views

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.cli, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.cli, all.User.read, experienceViews.*, or experienceViews.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: id, creationDate, name, lastUpdatednamesortField=name
sortDirectionNDirection to sort the results by. Accepted values are: asc, descascsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: namefilterField=name
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=my*view
viewTypeNFilter views to those only of the given type. Accepted values are: page, layout, componentviewType=page
versionNReturn the experience views belonging to this versiondevelopversion=develop

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/experience/views

Successful Responses​

CodeTypeDescription
200Experience ViewsCollection of experience views

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Post​

Create a new experience view for an application

Method And Url​

POST https://api.app.wnology.io/applications/APPLICATION_ID/experience/views

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.cli, all.Organization, all.User, all.User.cli, experienceViews.*, or experienceViews.post.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Experience View Post schema. For example, the following would be a valid body for this request:

{
"name": "My Page View",
"viewType": "page",
"body": "<p>{{data}}</p>",
"layoutId": "59cc5cad8246c6caed4b16c2",
"viewTags": {
"customKey": "customValue"
}
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"name":"My Page View","viewType":"page","body":"<p>{{data}}</p>","layoutId":"59cc5cad8246c6caed4b16c2","viewTags":{"customKey":"customValue"}}' \
https://api.app.wnology.io/applications/APPLICATION_ID/experience/views

Successful Responses​

CodeTypeDescription
201Experience ViewSuccessfully created experience view

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Schemas​

Error​

Schema for errors returned by the API

Error Schema​

  • ▶
    {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 2 keys
      • ▶
        {} 1 key
        • ▶
          {} 1 key

      Error Example​

      • ▶
        {} 2 keys
        • "NotFound"
        • "Application was not found"

      Experience View​

      Schema for a single Experience View

      Experience View Schema​

      • ▶
        {} 3 keys
        • "http://json-schema.org/draft-07/schema#"
        • "object"
        • ▶
          {} 17 keys
          • ▶
            {} 2 keys
            • ▶
              {} 2 keys
              • ▶
                {} 2 keys
                • ▶
                  {} 2 keys
                  • ▶
                    {} 2 keys
                    • ▶
                      {} 2 keys
                      • ▶
                        {} 2 keys
                        • ▶
                          {} 2 keys
                          • ▶
                            {} 2 keys
                            • ▶
                              {} 3 keys
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 2 keys
                                  • ▶
                                    {} 2 keys
                                    • ▶
                                      {} 3 keys
                                      • ▶
                                        {} 2 keys
                                        • ▶
                                          {} 3 keys
                                          • ▶
                                            {} 3 keys

                                        Experience View Example​

                                        • ▶
                                          {} 10 keys
                                          • "59cc5c628246c6caed4b16c1"
                                          • "59cc5c628246c6caed4b16c1"
                                          • "575ec8687ae143cd83dc4a97"
                                          • "2016-06-13T04:00:00.000Z"
                                          • "2016-06-13T04:00:00.000Z"
                                          • "My Page View"
                                          • "page"
                                          • "<p>{{data}}</p>"
                                          • "59cc5cad8246c6caed4b16c2"
                                          • ▶
                                            {} 1 key

                                          Experience View Post​

                                          Schema for the body of an Experience View creation request

                                          Experience View Post Schema​

                                          • ▶
                                            {} 5 keys
                                            • "http://json-schema.org/draft-07/schema#"
                                            • "object"
                                            • ▶
                                              {} 7 keys
                                              • ▶
                                                {} 3 keys
                                                • ▶
                                                  {} 2 keys
                                                  • ▶
                                                    {} 2 keys
                                                    • ▶
                                                      {} 2 keys
                                                      • ▶
                                                        {} 2 keys
                                                        • ▶
                                                          {} 3 keys
                                                          • ▶
                                                            {} 3 keys
                                                          • false
                                                          • ▶
                                                            [] 2 items

                                                          Experience View Post Example​

                                                          • ▶
                                                            {} 5 keys
                                                            • "My Page View"
                                                            • "page"
                                                            • "<p>{{data}}</p>"
                                                            • "59cc5cad8246c6caed4b16c2"
                                                            • ▶
                                                              {} 1 key

                                                            Experience Views​

                                                            Schema for a collection of Experience Views

                                                            Experience Views Schema​

                                                            • ▶
                                                              {} 3 keys
                                                              • "http://json-schema.org/draft-07/schema#"
                                                              • "object"
                                                              • ▶
                                                                {} 11 keys
                                                                • ▶
                                                                  {} 2 keys
                                                                  • ▶
                                                                    {} 1 key
                                                                    • ▶
                                                                      {} 1 key
                                                                      • ▶
                                                                        {} 1 key
                                                                        • ▶
                                                                          {} 1 key
                                                                          • ▶
                                                                            {} 1 key
                                                                            • ▶
                                                                              {} 1 key
                                                                              • ▶
                                                                                {} 1 key
                                                                                • ▶
                                                                                  {} 2 keys
                                                                                  • ▶
                                                                                    {} 2 keys
                                                                                    • ▶
                                                                                      {} 2 keys

                                                                                  Experience Views Example​

                                                                                  • ▶
                                                                                    {} 8 keys
                                                                                    • ▶
                                                                                      [] 1 item
                                                                                      • 1
                                                                                      • 4
                                                                                      • 1
                                                                                      • 0
                                                                                      • "name"
                                                                                      • "asc"
                                                                                      • "575ec8687ae143cd83dc4a97"

                                                                                    Was this page helpful?


                                                                                    Still looking for help? You can also search the WEGnology Forums or submit your question there.